http://www.perlmonks.org?node_id=657832


in reply to Perl5.8.0 and Perl5.8.8 coexists, how to use Perl 5.8.8

I think that it will be enough to change first line to
#!/new_perl5.8.8_dir/usr/local/bin/perl
It is about six years ago when I work as Perl developer. I needed to test all new code for running with different versions of Perl. I've installed different perl versions to /opt/perl-${VERSION} so the system wide perl which was required for base system administration remain untouched. In addition I wrote a short application in C and save it as /usr/bin/perl_parallel. Perl_parallel read preferred Perl version from file .perl_version in user $HOME and executed script under correct Perl interpreter. There was also script use_perl for querying and updating .perl_version file. If someone is interested in the perl_parallel C source code, it can be found in C/C++ programming forum on server forum.builder.cz (page is in Czech).